/* SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only */
/* Copyright (c) 2025 Brett A C Sheffield <bacs@librecast.net> */

#include "test.h"
#include <state.h>

int main(void)
{
	char name[] = "state flags";
	state_t state = {0};

	test_name(name);

	test_assert(!STATE(&state, STATE_VERBOSE), "STATE_VERBOSE not set");
	STATE_SET(&state, STATE_VERBOSE);
	test_assert(STATE(&state, STATE_VERBOSE), "STATE_VERBOSE set");

	return test_status;
}
